Bug 9105 - glibc detected *** free(): invalid pointer: 0x08116c18
: glibc detected *** free(): invalid pointer: 0x08116c18
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/irssi)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-02-17 21:06 by
Modified: 2006-03-04 19:43 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-02-17 21:06:24
[c0der@mycomp ~]$ irssi
*** glibc detected *** free(): invalid pointer: 0x08116c18 ***
zsh: abort (core dumped)  irssi
[c134der@mycomp ~]$

Вот такая фигня. Причем выходил я через /quit, т.е. правильно. Если надо могу
приаттачить или выслать coredump.
------- Comment #1 From 2006-02-17 23:37:20 -------
Не надо coredump'ов, у меня тоже проявляется (irssi я выключаю оооочень редко,
поэтому и не замечал такого).
------- Comment #2 From 2006-02-21 15:49:08 -------
Ага, это уже пофиксили в CVS irssi'ном. В следующей сборке, видимо, будет
пофикшено. ;)
------- Comment #3 From 2006-02-21 23:22:37 -------
(In reply to comment #2)
> Ага, это уже пофиксили в CVS irssi'ном. В следующей сборке, видимо, будет
> пофикшено. ;)

Следующая сборка будет с выходом новой версии или раньше? Я не тороплюсь, но
вообще я бы лично сбэкпортил этот фикс. (просто насколько я знаю разработчики
irssi не часто релизами радуют..)

------- Comment #4 From 2006-03-01 19:00:01 -------
fixed in irssi-0.8.10-alt2
------- Comment #5 From 2006-03-04 19:43:18 -------
(In reply to comment #4)
> fixed in irssi-0.8.10-alt2

Nice works! Thnx a lot!